package cn.com.tenlion.systembase.pojo.vos.keyplace;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: KeyPlaceVO
 * @Description: 重点场所
 * @Author: CodeFactory
 * @Date: 2021-11-16 15:06:28
 * @Version: 3.0
 **/
@ApiModel
public class KeyPlaceVO {

    @ApiModelProperty(name = "placeName", value = "场所名称")
    private String placeName;
    @ApiModelProperty(name = "placeType", value = "场所类型")
    private String placeType;
    @ApiModelProperty(name = "placeTypeName", value = "场所类型名称")
    private String placeTypeName;
    @ApiModelProperty(name = "detailType", value = "详细类型")
    private String detailType;
    @ApiModelProperty(name = "detailTypeName", value = "详细类型名称")
    private String detailTypeName;
    @ApiModelProperty(name = "areaCode", value = "地址编码")
    private String areaCode;
    @ApiModelProperty(name = "areaName", value = "地址名称")
    private String areaName;
    @ApiModelProperty(name = "address", value = "详细地址")
    private String address;
    @ApiModelProperty(name = "linkMan", value = "负责人")
    private String linkMan;
    @ApiModelProperty(name = "linkPhone", value = "负责人联系方式")
    private String linkPhone;
    @ApiModelProperty(name = "phone", value = "联系方式")
    private String phone;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "securityQuestion", value = "治安突出问题字典表ID")
    private String securityQuestion;
    @ApiModelProperty(name = "securityQuestionName", value = "治安突出问题名称")
    private String securityQuestionName;
    @ApiModelProperty(name = "securityQuestionCode", value = "治安突出问题编码")
    private String securityQuestionCode;

    public String getPlaceName() {
        return placeName == null ? "" : placeName.trim();
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getPlaceType() {
        return placeType == null ? "" : placeType.trim();
    }

    public void setPlaceType(String placeType) {
        this.placeType = placeType;
    }

    public String getPlaceTypeName() {
        return placeTypeName == null ? "" : placeTypeName.trim();
    }

    public void setPlaceTypeName(String placeTypeName) {
        this.placeTypeName = placeTypeName;
    }

    public String getDetailType() {
        return detailType == null ? "" : detailType.trim();
    }

    public void setDetailType(String detailType) {
        this.detailType = detailType;
    }

    public String getDetailTypeName() {
        return detailTypeName == null ? "" : detailTypeName.trim();
    }

    public void setDetailTypeName(String detailTypeName) {
        this.detailTypeName = detailTypeName;
    }

    public String getAreaCode() {
        return areaCode == null ? "" : areaCode.trim();
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getAreaName() {
        return areaName == null ? "" : areaName.trim();
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAddress() {
        return address == null ? "" : address.trim();
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLinkMan() {
        return linkMan == null ? "" : linkMan.trim();
    }

    public void setLinkMan(String linkMan) {
        this.linkMan = linkMan;
    }

    public String getLinkPhone() {
        return linkPhone == null ? "" : linkPhone.trim();
    }

    public void setLinkPhone(String linkPhone) {
        this.linkPhone = linkPhone;
    }

    public String getPhone() {
        return phone == null ? "" : phone.trim();
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLongitude() {
        return longitude == null ? "" : longitude.trim();
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude == null ? "" : latitude.trim();
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getSecurityQuestion() {
        return securityQuestion;
    }

    public void setSecurityQuestion(String securityQuestion) {
        this.securityQuestion = securityQuestion;
    }

    public String getSecurityQuestionName() {
        return securityQuestionName;
    }

    public void setSecurityQuestionName(String securityQuestionName) {
        this.securityQuestionName = securityQuestionName;
    }

    public String getSecurityQuestionCode() {
        return securityQuestionCode;
    }

    public void setSecurityQuestionCode(String securityQuestionCode) {
        this.securityQuestionCode = securityQuestionCode;
    }
}
